package com.xkl.cdl.module.splash

import android.annotation.SuppressLint
import android.os.Bundle
import android.os.Looper
import android.view.View
import com.suliang.common.base.activity.BaseActivity
import com.suliang.common.util.LogUtil
import com.suliang.common.util.image.ImageLoader
import com.suliang.common.util.media.*
import com.suliang.common.util.media.MPManager.addPlayListener
import com.suliang.common.util.thread.AppExecutors
import com.xkl.cdl.R
import com.xkl.cdl.databinding.ActivitySplashBinding

@SuppressLint("CustomSplashScreen")
class SplashActivity : BaseActivity<ActivitySplashBinding>() {

    override fun onCreate(savedInstanceState: Bundle?) {
        if (!isTaskRoot) {
            finish()
            return
        }
        super.onCreate(savedInstanceState)
    }

    override fun initActivity(savedInstanceState: Bundle?) {

    }


    override fun loadData() {
        ImageLoader.loadImage(R.mipmap.ic_launcher)
    }

    val util:IMP = MPManager.apply {
        addPlayListener(object :IMPListener{
            override fun onMpState(state: EMediaState) {
               LogUtil.e("SplashActivity 接收 ${Thread.currentThread() == Looper.getMainLooper().thread}  ${Thread.currentThread()} --${state.name}")
            }
        })
    }
    var position = 0
    var seekToPosition = 1000
    val source = listOf("http://ws.stream.qqmusic.qq.com/C4000017AcyB00D6Cr.m4a?guid=395745734&vkey=9CF75D8FDE45B1A7755C15F93C5F74CC18E444873F498DF3F5B9F0B41889778BE0EAC45305BD444F90D777C612BC5865DB0AF55A318854E1&uin=&fromtag=66"
        ,"http://ws.stream.qqmusic.qq.com/C400001lePVO36SNSo.m4a?guid=748677131&vkey=A6077E31CB4A1C8A4F3D5D2BEDE8D3E16AB69FF2FEE95D9D48288EAD048AB89DC53B6846D184F842257617AF9714D97C864FB183BE05CC66&uin=&fromtag=66"
        ,"http://ws.stream.qqmusic.qq.com/C400000ZFBf22vBvrf.m4a?guid=921100582&vkey=C9EA33972404E2AC1C80A479614AD44A9BF132A16F9B307D9515F595B41901AE53F6681E28BDA799FC047F30D624F8A19AE9C4856ADBEF4B&uin=&fromtag=66")


    fun play(view: View) {
        seekToPosition = 1000
        util.play(source[0])
    }
    fun continuePlay(view: View) {
        util.continuePlay()
    }
    fun stop(view: View) {
        util.stopPlay()
    }
    fun pause(view: View) {
        util.pausePlay()
    }
    fun seekTo(view: View) {
        util.seekTo(seekToPosition)
        seekToPosition += 30000
    }
    fun release(view: View) {
        util.destroyPlay()
    }

    fun nextPlay(view: View) {
        var i = position + 1
        if (i > 3){
            i = 0
        }
        position = i
        util.play(source[position])
    }
}
