package com.suliang.common.base.activity

import android.os.Bundle
import androidx.databinding.ViewDataBinding
import androidx.lifecycle.ViewModel
import androidx.viewbinding.ViewBinding

/**
 * Activity DataBinding 与 ViewModel基类，封装DataBinding和ViewModel
 * @property VB : ViewDataBinding
 * @property VM:  ViewModel
 */
abstract class BaseActivityVM<VB : ViewDataBinding, VM:ViewModel> : BaseActivity<VB>() {

    private lateinit var vm : VM

    override fun initFirst() {
        vm = initViewModel()
        super.initFirst()
        binding.lifecycleOwner = this
    }

    abstract fun initViewModel() : VM

}
