package com.suliang.common.base.activity

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.suliang.common.util.LogUtil

/**
 * author suliang
 * create 2022/3/7 10:47
 * Describe: 打印生命周期的Activity
 */
open class LifecycleLogActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        LogUtil.d("onCreate()")
    }

    override fun onRestart() {
        super.onRestart()
        LogUtil.d("onRestart()")
    }

    override fun onStart() {
        super.onStart()
        LogUtil.d("onStart()")
    }

    override fun onResume() {
        super.onResume()
        LogUtil.d("onResume()")
    }

    override fun onPause() {
        super.onPause()
        LogUtil.d("onPause()")
    }

    override fun onStop() {
        super.onStop()
        LogUtil.d("onStop()")
    }

    override fun onDestroy() {
        super.onDestroy()
        LogUtil.d("onDestroy()")
    }

    override fun onSaveInstanceState(outState: Bundle) {
        super.onSaveInstanceState(outState)
        LogUtil.d("onSaveInstanceState()")
    }

    override fun onRestoreInstanceState(savedInstanceState: Bundle) {
        super.onRestoreInstanceState(savedInstanceState)
        LogUtil.d("onRestoreInstanceState()")
    }
}