package com.suliang.common.base.fragment

import androidx.databinding.ViewDataBinding
import androidx.lifecycle.ViewModel

/**
 * Fragment DataBinding 与 ViewModel基类，封装DataBinding和ViewModel  自带懒加载
 * @property VB : ViewDataBinding
 * @property VM:  ViewModel
 */
abstract class BaseFragmentVM<VB : ViewDataBinding, VM : ViewModel> : BaseFragment<VB>() {
    lateinit var viewModel: VM

    override fun initFirst() {
        viewModel = initViewModel()
    }

    abstract fun initViewModel(): VM
}
