package com.suliang.common.base.fragment

import android.content.Context
import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import com.suliang.common.util.LogUtil

/**
 * author suliang
 * create 2022/3/7 14:14
 * Describe:  Fragment生命周期日志打印
 */
class LifecycleLogFragment : Fragment() {
    override fun onAttach(context: Context) {
        super.onAttach(context)
        LogUtil.d("onAttach")
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        LogUtil.d("onCreate")
    }

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        LogUtil.d("onCreateView")
        return super.onCreateView(inflater, container, savedInstanceState)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        LogUtil.d("onViewCreated")
    }

    override fun onActivityCreated(savedInstanceState: Bundle?) {
        super.onActivityCreated(savedInstanceState)
        LogUtil.d("onActivityCreated")
    }

    override fun onStart() {
        super.onStart()
        LogUtil.d("onStart")
    }

    override fun onResume() {
        super.onResume()
        LogUtil.d("onResume")
    }

    override fun onStop() {
        super.onStop()
        LogUtil.d("onStop")
    }

    override fun onDestroyView() {
        super.onDestroyView()
        LogUtil.d("onDestroyView")
    }

    override fun onDetach() {
        super.onDetach()
        LogUtil.d("onDetach")
    }

    override fun onDestroy() {
        super.onDestroy()
        LogUtil.d("onDestroy")
    }

    override fun onHiddenChanged(hidden: Boolean) {
        super.onHiddenChanged(hidden)
        LogUtil.d("onHiddenChanged : hidden -> ： $hidden" )
    }

    override fun setUserVisibleHint(isVisibleToUser: Boolean) {
        super.setUserVisibleHint(isVisibleToUser)
        LogUtil.d("setUserVisibleHint: isVisibleToUser -> $isVisibleToUser ")
    }

    override fun onSaveInstanceState(outState: Bundle) {
        super.onSaveInstanceState(outState)
        LogUtil.d(javaClass.simpleName + "    onSaveInstanceState()")
    }

    override fun onViewStateRestored(savedInstanceState: Bundle?) {
        super.onViewStateRestored(savedInstanceState)
        LogUtil.d(javaClass.simpleName + "    onViewStateRestored()")
    }
}