package com.suliang.common.util

import android.app.Activity
import java.util.*

/**
 * Activity 栈管理
 */
object ActivityStackManager {

    @Volatile
    private var activityStack: Stack<Activity> = Stack()

    /**
     * 入栈
     * @param activity Activity
     */
    fun addActivity(activity: Activity) {
        activityStack.add(activity)
    }

    /**
     * 出栈
     * @param activity Activity
     */
    fun removeActivity(activity: Activity) {
        activityStack.remove(activity)
    }

    /**
     * 结束指定类名的Activity
     * @param cls Class<*>
     */
    fun finishActivity(cls: Class<*>) {
        run {
            activityStack.forEach { activity ->
                if (activity.javaClass == cls) {
                    activity.finish()
                    return@run
                }
            }
        }
    }
}