package com.suliang.common.util.image

import android.graphics.drawable.Drawable
import android.net.Uri
import android.widget.ImageView
import androidx.annotation.IdRes
import java.io.File
import java.net.URL

/**
 * author suliang
 * create 2022/3/11 15:45
 * Describe:  加载配置
 * 提取通用的View、加载路径等多参数
 */
class LoaderOptions @JvmOverloads constructor(var url: String? = null, var file: File? = null,
                                              var drawableResId: Int = -1, var uri: Uri? = null) {

    /** 预加载图 */
    var placeholderResId: Int = -1
    var placeHolderDrawable: Drawable? = null

    /** 错误图 */
    var errorResId: Int = -1

    /**是否居中裁剪*/
    var centerCropEnable: Boolean = false

    /** 居中全显 */
    var centerInsideEnable: Boolean = false

    /**是否缓存到本地*/
    var skipLocalCache: Boolean = false

    var skipNetCache: Boolean = false

    var targetWidth: Int = -1
    var targetHeight: Int = -1

    //圆角角度
    var bitmapAngle: Float = -1f

    //图片
    var targetView: ImageView? = null

    //回调
//    var callBack: BitmapCallBack? = null


//    fun into(view: ImageView) {
//        this.targetView = view
//        ImageLoader.loadImage(this)
//    }

//    fun bitmap(callBack: BitmapCallBack) {
//        this.callBack = callBack
//        ImageLoader.loadOption(this)
//    }


}
