package com.suliang.common.util.os

import android.content.Context
import android.view.View
import android.view.inputmethod.InputMethodManager

/**
 * author suliang
 * create 2022/3/8 15:26
 * Describe: 键盘工具
 */
object KeyboardUtil {
    /**
     * 显示软键盘
     * @param view View
     */
    fun showKeyboard(view:View){
        val inputMethodManager = view.context.getSystemService(Context.INPUT_METHOD_SERVICE) as InputMethodManager
        view.requestFocus()
        inputMethodManager.showSoftInput(view,0)
    }

    /**
     * 隐藏软键盘
     * @param view View
     */
    fun hideKeyboard(view: View){
        val inputMethodManager = view.context.getSystemService(Context.INPUT_METHOD_SERVICE) as InputMethodManager
        inputMethodManager.hideSoftInputFromWindow(view.windowToken,0)
        view.clearFocus()
    }
}