package com.suliang.common.util.thread

import java.util.concurrent.ThreadFactory
import java.util.concurrent.atomic.AtomicLong

/**
 * author suliang
 * create 2022/3/11 10:41
 * Describe: 创建线程工具类
 */
internal class ThreadFactoryImp @JvmOverloads constructor(val threadNamePrefix:String, var daemon:Boolean = false): ThreadFactory {

    companion object{
        private val  threadIndex : AtomicLong = AtomicLong(0)
    }

    override fun newThread(r: Runnable?): Thread {
        return Thread(r,"$threadNamePrefix-thread-${threadIndex.incrementAndGet()}").apply {
            isDaemon = daemon
        }
    }
}